PolicyQualifierInfo (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.asn1.x509

## Class PolicyQualifierInfo

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.x509.PolicyQualifierInfo

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class PolicyQualifierInfo
      extends ASN1Object

  Policy qualifiers, used in the X509V3 CertificatePolicies extension.

         PolicyQualifierInfo ::= SEQUENCE {
             policyQualifierId  PolicyQualifierId,
             qualifier          ANY DEFINED BY policyQualifierId }

        PolicyQualifierId ::= OBJECT IDENTIFIER ( id-qt-cps | id-qt-unotice )

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PolicyQualifierInfo(ASN1ObjectIdentifier policyQualifierId, ASN1Encodable qualifier)` Creates a new `PolicyQualifierInfo` instance.
    `PolicyQualifierInfo(ASN1Sequence as)` Deprecated. use PolicyQualifierInfo.getInstance()
    `PolicyQualifierInfo(java.lang.String cps)` Creates a new `PolicyQualifierInfo` containing a cPSuri qualifier.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PolicyQualifierInfo` | `getInstance(java.lang.Object obj)`
    `ASN1ObjectIdentifier` | `getPolicyQualifierId()`
    `ASN1Encodable` | `getQualifier()`
    `ASN1Primitive` | `toASN1Primitive()` Returns a DER-encodable representation of this instance.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PolicyQualifierInfo

          public PolicyQualifierInfo(ASN1ObjectIdentifier policyQualifierId,
                             ASN1Encodable qualifier)

      Creates a new `PolicyQualifierInfo` instance.
      Parameters:
        `policyQualifierId` - a `PolicyQualifierId` value
        `qualifier` - the qualifier, defined by the above field.

    - #### PolicyQualifierInfo

          public PolicyQualifierInfo(java.lang.String cps)

      Creates a new `PolicyQualifierInfo` containing a cPSuri qualifier.
      Parameters:
        `cps` - the CPS (certification practice statement) uri as a `String`.

    - #### PolicyQualifierInfo

          public PolicyQualifierInfo(ASN1Sequence as)

      Deprecated. use PolicyQualifierInfo.getInstance()
      Creates a new `PolicyQualifierInfo` instance.
      Parameters:
        `as` - `PolicyQualifierInfo` X509 structure encoded as an ASN1Sequence.

  - ### Method Detail

    - #### getInstance

          public static PolicyQualifierInfo getInstance(java.lang.Object obj)

    - #### getPolicyQualifierId

          public ASN1ObjectIdentifier getPolicyQualifierId()

    - #### getQualifier

          public ASN1Encodable getQualifier()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Returns a DER-encodable representation of this instance.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a `ASN1Primitive` value